### Method

# GUsb Context find_by_platform_id

since: 0.2.4

#### Declaration

    GUsbDevice*
    g_usb_context_find_by_platform_id (
      GUsbContext* self,
      const gchar* platform_id,
      GError** error
    )

#### Description

Finds a device based on its platform id value.

Available since: 0.2.4

#### Parameters

`platform_id`

  Type: `const gchar*`

  A platform id, e.g. “usb:00:03:03:02”

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUsbDevice`

A new `GUsbDevice`, or `NULL` if not found.

The caller of the method takes ownership of the data, and is responsible for freeing it.